@import url('https://fonts.googleapis.com/css2?family=Anton+SC&family=Arsenal+SC:ital,wght@0,400;0,700;1,400;1,700&family=Inter:wght@100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Teko:wght@300..700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
}

.center {
    max-width: 1380px;
    width: 100%;
    margin: 0 auto;
}

header {
    width: 100%;
    padding: 0 2% 0 20%;
    display: flex;
    align-items: center;
    background-color: rgb(63, 16, 63);
}

header>img {
    width: 110px;
    transform: translateY(2px);
}

.container-banner {
    width: 100%;
    height: 557px;
    padding: 0 2%;
    display: flex;
    justify-content: space-between;
    background-image: url('../img/mel2.jpeg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.container-banner>.center {
    height: 100%;
    display: flex;
    justify-content: space-between;
}

.form {
    width: 400px;
    height: calc(100% + 30px);
    position: relative;
    top: -15px;
    background-color: rgb(98, 24, 98);
    border-radius: 10px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px inset, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset;
    padding: 10px;
    text-align: center;
}

.form h2 {
    text-align: center;
    font-family: Inter;
    font-size: 27px;
    margin-top: 40px;
    color: rgb(39, 8, 39);
}

.input-container {
    margin-top: 20px;
    position: relative;
}

.input-label {
    font-family: Inter;
    font-size: 16px;
    color: rgb(39, 8, 39);
    text-align: justify;
    margin-top: 8px;
    width: 90%;
    height: 50px;
    border: 2px solid rgb(161, 63, 161);
    border-radius: 7px;
    background: transparent;
    outline: none;
    padding-left: 20px;
    font-weight: 800;
    padding-right: 60px;
}

.form input[type=number] {
    font-family: Inter;
    -moz-appearance: textfield;
    appearance: textfield;
    color: rgb(39, 8, 39);
    font-weight: 800;
}

.form input[type=number]::-ms-clear {
    display: none;
}

i {
    color: rgb(39, 8, 39);
    font-size: 20px;
    position: absolute;
    top: 22px;
    right: 34px;
}

label {
    color: rgb(161, 63, 161);
    padding: 5px;
    font-weight: 700;
    position: absolute;
    top: 19px;
    left: 39px;
    font-family: Arial, Helvetica, sans-serif;
    background-color: rgb(98, 24, 98);
    pointer-events: none;
    transition: 0.3s;
}

.input-label:focus+label,
.input-label:valid+label {
    top: -2px;
}

.warning {
    font-weight: bold;
    font-family: Inter;
    margin-top: 25px;
    text-transform: uppercase;
    font-size: 12px;
    text-align: center;
}

[type="submit"] {
    font-family: Inter;
    background-color: rgb(63, 16, 63);
    width: 140px;
    height: 50px;
    color: white;
    font-size: 20px;
    text-align: center;
    margin-top: 30px;
    border: none;
    border-radius: 30px;
    transition: 0.3s;
    cursor: pointer;
}

.form input[type=submit]:hover {
    background-color: rgb(161, 63, 161);
    transform: scale(1.1);
    box-shadow: 2px 2px 4px rgb(98, 24, 98);
}

.descrition {
    background-color: rgb(200, 200, 200, 0.4);
    border: none;
    border-radius: 7px;
    padding: 20px 1%;
    text-align: center;
    margin-top: 20%;
    display: flex;
    align-items: center;
    flex-direction: column;
    height: 200px;
}

.descrition h1 {
    font-family: Inter;
    color: rgb(120, 29, 120);
    font-weight: 900;
    font-size: 27px;
    text-shadow: 1px 1px 2px rgb(120, 29, 120);
    transition: 0.5s ease-in-out;
}

.descrition h1:hover {
    color: white;
}

.descrition h1 span {
    color: rgb(63, 16, 63);
    font-size: 35px;
    text-shadow: 1px 1px 2px rgb(120, 29, 120);
}

.descrition p {
    font-family: Inter;
    font-size: 18px;
    color: rgb(63, 16, 63);
    display: inline-block;
    text-align: justify;
}

.principal {
    width: 100%;
    background-color: rgb(219, 205, 205);
    padding: 55px 2%;
}

.principal-sobre {
    width: 50%;
    text-align: center;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.principal .logo-2 {
    width: 50%;
    text-align: center;
}

.principal img {
    width: 125px;
}

.principal .sobre {
    margin-right: -4px;
    font-size: 16px;
    width: 50%;
    display: flex;
    flex-direction: column;
}

.principal-sobre span {
    font-family: Inter;
    color: rgb(63, 16, 63);
    text-align: left;
    font-weight: 600;
}

.principal-sobre ul {
    padding: 20px 0;
    font-family: Inter;
    color: rgb(63, 16, 63);
    text-align: justify;
    list-style: none;
}

.rodape .seta {
    left: 50%;
    margin-left: -20px;
    width: 50px;
    height: 50px;
    background-image: url('../img/arrow.png');
    background-size: 100% 100%;
    position: relative;
    top: 80px;
}

.container-galeria>h2 {
    font-family: Inter;
    color: rgb(120, 29, 120);
    text-align: center;
    margin-top: 1px;
}

.container-galeria {
    padding: 78px 2%;
    width: 100%;
}

.galeria-mel {
    width: 100%;
    display: flex;
    margin-top: 30px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.imagens-mel {
    width: 210px;
    height: 210px;
    box-shadow: 3px 3px 3px gray;
    border-radius: 10px;
    background-size: 100% 100%;
    background-position: center;
}

.mel1 {
    background-image: url('../img/mel1_galeria.jpg');
}

.mel2 {
    background-image: url('../img/mel2_galeria.jpeg');
}

.mel3 {
    background-image: url('../img/mel3_galeria.jpg');
}

.footer {
    width: 100%;
    padding: 20px 0;
    border-top: 4px solid rgb(205, 191, 191);
    text-align: center;
    font-family: Inter;
    color: rgb(150, 143, 143);
}

@media screen and (max-width: 1140px) {
    header {
        display: flex;
        justify-content: center;
        padding: 0 2%;
    }

    header img {
        margin-top: -16px;
        margin-left: 0;
    }

    .container-banner {
        height: auto;
        padding: 35px 2%;
        text-align: center;
    }

    .container-banner>.center {
        flex-direction: column;
        align-items: center;
    }

    .form {
        max-width: 400px;
        width: 60%;
        height: 100%;
        margin-top: 30px;
        padding: 50px 2%;
    }

    .descrition {
        background-color: rgb(200, 200, 200, 0.4);
        border: none;
        border-radius: 7px;
        text-align: center;
        width: 40%;
        max-width: 500px;
        height: auto;
        margin-top: 16px;
        padding: 11px 1%;
    }

}

@media screen and (max-width : 768px) {
    header>img {
        width: 110px;
        transform: translateY(8px);
    }

    .descrition {
        width: 100%;
    }

    .form {
        width: 100%;
        margin-top: 37px;
    }

    .form>h2 {
        margin-top: 20px;
    }

    .principal-sobre {
        width: 100%;
        flex-direction: column;
        gap: 20px;
    }

    .principal .sobre {
        width: 100%;
        align-items: center;
    }

    .ul {
        text-align: justify;
    }

    .galeria-mel {
        flex-direction: column;
        gap: 25px;

    }

    .container-galeria>h2 {
        margin-bottom: 40px;
    }

}